.TH wxPanel 3 "wx  0.98.3" "Ericsson AB" "ERLANG MODULE DEFINITION"
.SH MODULE
wxPanel \- See external documentation: wxPanel\&.
.SH DESCRIPTION
.LP
See external documentation: wxPanel <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxpanel\&.html>\&. 
.LP
This class is derived (and can use functions) from: 
.br
wxWindow 
.br
wxEvtHandler 

.SH DATA TYPES
.RS 2
.TP 4
.B
\fIwxPanel()\fR:

.RS 4
.LP
An object reference, The representation is internal and can be changed without notice\&. It can\&'t be used for comparsion stored on disc or distributed for use on other nodes\&.
.LP

.RE
.RE
.SH EXPORTS
.LP
.B
new() -> wxPanel()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxpanel\&.html#wxpanelwxpanel>\&.
.RE
.LP
.B
new(Parent::wxWindow() (see module wxWindow)) -> wxPanel()
.br
.RS
.LP
Equivalent to new(Parent, [])\&.
.RE
.LP
.B
new(Parent::wxWindow() (see module wxWindow), Options::[Option]) -> wxPanel()
.br
.RS
.TP
Types
Option = {winid, integer()} | {pos, {X::integer(), Y::integer()}} | {size, {W::integer(), H::integer()}} | {style, integer()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxpanel\&.html#wxpanelwxpanel>\&.
.RE
.LP
.B
new(Parent::wxWindow() (see module wxWindow), X::integer(), Y::integer(), Width::integer(), Height::integer()) -> wxPanel()
.br
.RS
.LP
Equivalent to new(Parent, X, Y, Width, Height, [])\&.
.RE
.LP
.B
new(Parent::wxWindow() (see module wxWindow), X::integer(), Y::integer(), Width::integer(), Height::integer(), Options::[Option]) -> wxPanel()
.br
.RS
.TP
Types
Option = {style, integer()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxpanel\&.html#wxpanelwxpanel>\&.
.RE
.LP
.B
initDialog(This::wxPanel()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxpanel\&.html#wxpanelinitdialog>\&.
.RE
.LP
.B
destroy(This::wxPanel()) -> ok
.br
.RS
.LP
Destroys this object, do not use object again
.RE
